Subject: Building Guix fails without '/etc/services'

From: Leo Famulari <[email-masked]>
Date: Mon, 31 Jul 2017 20:23:58 -0400

On a system that lacks '/etc/services' (CoreOS), building Guix from
source fails because getaddrinfo() doesn't know how to proceed:

ERROR: In procedure getaddrinfo: Servname not supported for ai_socktype

I worked around this issue by downloading the binaries by hand with
curl.

I don't know how curl does it, but could it be possible to make the Guix
build more resilient here?